%define prever beta2

Name: pychess
Version: 0.8
Release: alt1.1.qa1

Summary: Chess game for GNOME

Group: Games/Boards
License: GPLv2
Url: http://pychess.googlepages.com/home

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://pychess.googlecode.com/files/%name-philidor%version%{?prever}.tar.bz2
Patch0: pychess-0.8b1-sitelib.patch
Patch1: pychess-0.8b1-gtksourceview.patch

# needed:
Requires: gnome-icon-theme
Requires: python%__python_version(libglade)
Requires: python%__python_version(pysqlite2)

BuildArch: noarch

# Automatically added by buildreq on Tue Dec 25 2007
BuildRequires: python-devel python-modules-compiler
BuildRequires: desktop-file-utils

%description
PyChess is a GTK+ chess game for Linux. It is designed to at the same time
be easy to use, beautiful to look at, and provide advanced functions for
advanced players.

%prep
%setup -qn %name-philidor%version%{?prever}
%patch0 -p1 -b .sitelib
%patch1 -p1 -b .gtksourceview

%build
%__python setup.py build

%install
# Fix line terminators
sed -ie 's/.$//g' AUTHORS
%__python setup.py install -O1 --skip-build --root %buildroot

#change permissions
chmod +x %buildroot%python_sitelibdir/%name/Utils/Move.py
chmod +x %buildroot%python_sitelibdir/%name/Players/PyChess.py

%find_lang %name

%postun -n pychess
%clean_desktopdb
%clean_menus


%post -n pychess
%update_desktopdb
%update_menus


%files -f %name.lang
%doc README LICENSE AUTHORS
%python_sitelibdir/*
%_bindir/*
%_datadir/games/*
%_datadir/gtksourceview-1.0/language-specs/pgn.lang
%_desktopdir/%name.desktop
%_datadir/icons/hicolor/*/apps/*
%_pixmapsdir/*
%_mandir/man?/*

%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1.1.qa1
- NMU (by repocop): the following fixes applied:
 * desktop-mime-entry for pychess
 * update_menus for pychess

* Sat Jan 26 2008 Grigory Batalov <bga@altlinux.ru> 0.8-alt1.1
- Rebuilt with python-2.5.

* Tue Dec 25 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8-alt1
- initial build for ALT Linux Sisyphus

* Mon Dec  3 2007 Michel Salim <michel.sylvan@gmail.com> - 0.8-0.1.beta2
- Update to 0.8beta2

* Sun Nov 11 2007 Michel Salim <michel.sylvan@gmail.com> - 0.8-0.1.beta1
- Update to 0.8beta1

* Thu Apr 19 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.0-1
- Update to 0.6.0 final

* Sun Jan 14 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.0-0.3.beta5
- Update description

* Sun Jan 14 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.0-0.2.beta5
- Fix permissions
- Fix quiet %%setup

* Sun Jan 14 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.0-0.1.beta5
- Initial build
